AutoRegisterServlet (Axis API)
Keywords: org.apache.axis.transport.http.AutoRegisterServlet class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.http
Class AutoRegisterServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.axis.transport.http.AxisServletBase
                  org.apache.axis.transport.http.AutoRegisterServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class AutoRegisterServlet
extends AxisServletBase

Servlet that autoregisters

Author:
  Steve Loughran xdoclet tags are not active yet; keep web.xml in sync
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.transport.http.AxisServletBase
`ATTR_AXIS_ENGINE, axisServer`

Constructor Summary
`AutoRegisterServlet()`

Method Summary
`protected void` | `applyAndSaveSettings()` actually update the engine and save the settings
`protected void` | `autoRegister()` register classes, log exceptions
`java.lang.String[]` | `getResourcesToRegister()` subclass this to return an array of resource names.
`void` | `init()` init by registering
`protected void` | `logSuccess(java.lang.String item)` handler for logging success, defaults to handing off to logging at debug level
`void` | `registerAndLogResource(java.lang.String resource)` register a single resource; log trouble and success.
`protected void` | `registerAnythingElse()` override point for subclasses to add other registration stuff
`void` | `registerFile(java.io.File file)` register a file
`void` | `registerResource(java.lang.String resourcename)` register a resource
`void` | `registerStream(java.io.InputStream instream)` register an open stream, which we close afterwards

Methods inherited from class org.apache.axis.transport.http.AxisServletBase
`decLockCounter, destroy, getEngine, getEngine, getEngineEnvironment, getHomeDir, getLoadCounter, getOption, getServletContext, getWebappBase, getWebInfPath, incLockCounter, isDevelopment, service`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoRegisterServlet

    public AutoRegisterServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  init by registering

  Overrides:
    `init` in class `AxisServletBase`
  Throws:
    `javax.servlet.ServletException`

### registerStream

    public void registerStream(java.io.InputStream instream)
                        throws org.xml.sax.SAXException,
                               javax.xml.parsers.ParserConfigurationException,
                               java.io.IOException

  register an open stream, which we close afterwards

  Parameters:
    `instream` -
  Throws:
    `org.xml.sax.SAXException`
    `javax.xml.parsers.ParserConfigurationException`
    `java.io.IOException`

### registerResource

    public void registerResource(java.lang.String resourcename)
                          throws org.xml.sax.SAXException,
                                 javax.xml.parsers.ParserConfigurationException,
                                 java.io.IOException

  register a resource

  Parameters:
    `resourcename` -
  Throws:
    `org.xml.sax.SAXException`
    `javax.xml.parsers.ParserConfigurationException`
    `java.io.IOException`

### registerFile

    public void registerFile(java.io.File file)
                      throws java.io.IOException,
                             org.xml.sax.SAXException,
                             javax.xml.parsers.ParserConfigurationException

  register a file

  Parameters:
    `file` -
  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`
    `javax.xml.parsers.ParserConfigurationException`

### getResourcesToRegister

    public java.lang.String[] getResourcesToRegister()

  subclass this to return an array of resource names.

  Returns:
    array of resource names of wsdd files, or null

### logSuccess

    protected void logSuccess(java.lang.String item)

  handler for logging success, defaults to handing off to logging at debug level

  Parameters:
    `item` - what were we loading?

### autoRegister

    protected void autoRegister()

  register classes, log exceptions

### registerAnythingElse

    protected void registerAnythingElse()

  override point for subclasses to add other registration stuff

### registerAndLogResource

    public void registerAndLogResource(java.lang.String resource)

  register a single resource; log trouble and success.

  Parameters:
    `resource` -

### applyAndSaveSettings

    protected void applyAndSaveSettings()
                                 throws AxisFault,
                                        ConfigurationException

  actually update the engine and save the settings

  Throws:
    `AxisFault`
    `ConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.